#include <iostream>

int main()
{
    int a, b, x, y;
    std::cin >> a >> b;
    std::cin >> x >> y;
    if (a == x)
    {
        if(b==y)
            std::cout << "nijedan";
        else if(y<b)
            std::cout << "drugi";
    }
    else if (x < a) {
        if(b==y)
            std::cout << "prvi";
        else if(y<b)
            std::cout << "?";
    }
}